# pandas.api.types.is_unsigned_integer_dtype

`pandas.api.types.``is_unsigned_integer_dtype`(arr_or_dtype)

  Check whether the provided array or dtype is of an unsigned integer dtype.

  Changed in version 0.24.0: The nullable Integer dtypes (e.g. pandas.UInt64Dtype) are also considered as integer by this function.

  Parameters:

  arr_or_dtype : array-like

  > The array or dtype to check.

  Returns:

  boolean

  > Whether or not the array or dtype is of an unsigned integer dtype.

  Examples

      >>> is_unsigned_integer_dtype(str)
      False
      >>> is_unsigned_integer_dtype(int)  # signed
      False
      >>> is_unsigned_integer_dtype(float)
      False
      >>> is_unsigned_integer_dtype(np.uint64)
      True
      >>> is_unsigned_integer_dtype('uint8')
      True
      >>> is_unsigned_integer_dtype('UInt8')
      True
      >>> is_unsigned_integer_dtype(pd.UInt8Dtype)
      True
      >>> is_unsigned_integer_dtype(np.array(['a', 'b']))
      False
      >>> is_unsigned_integer_dtype(pd.Series([1, 2]))  # signed
      False
      >>> is_unsigned_integer_dtype(pd.Index([1, 2.]))  # float
      False
      >>> is_unsigned_integer_dtype(np.array([1, 2], dtype=np.uint32))
      True

Scroll To Top